Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.enum
Class Style

    java.lang.Object
      |
      +--org.apache.axis.enum.Enum
            |
            +--org.apache.axis.enum.Style

All Implemented Interfaces:
  java.io.Serializable

public class Style
extends Enum

Author:
  rsitze
See Also:
  Serialized Form

Inner Class Summary
`static class` | `Style.Type`

Inner classes inherited from class org.apache.axis.enum.Enum
`Enum.Type`

Field Summary
`static Style` | `DEFAULT`
`static Style` | `DOCUMENT`
`static java.lang.String` | `DOCUMENT_STR`
`static Style` | `MESSAGE`
`static java.lang.String` | `MESSAGE_STR`
`static Style` | `RPC`
`static java.lang.String` | `RPC_STR`
`static Style` | `WRAPPED`
`static java.lang.String` | `WRAPPED_STR`

Fields inherited from class org.apache.axis.enum.Enum
`log, name, value`

Method Summary
`static Style` | `getDefault()`
`java.lang.String` | `getEncoding()`
`QName` | `getProvider()`
`static Style` | `getStyle(int style)`
`static Style` | `getStyle(java.lang.String style)`
`static Style` | `getStyle(java.lang.String style, Style dephault)`
`static java.lang.String[]` | `getStyles()`
`static boolean` | `isValid(java.lang.String style)`
`static int` | `size()`

Methods inherited from class org.apache.axis.enum.Enum
`equals, equals, getName, getType, getValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RPC_STR

    public static final java.lang.String RPC_STR

### DOCUMENT_STR

    public static final java.lang.String DOCUMENT_STR

### WRAPPED_STR

    public static final java.lang.String WRAPPED_STR

### MESSAGE_STR

    public static final java.lang.String MESSAGE_STR

### RPC

    public static final Style RPC

### DOCUMENT

    public static final Style DOCUMENT

### WRAPPED

    public static final Style WRAPPED

### MESSAGE

    public static final Style MESSAGE

### DEFAULT

    public static final Style DEFAULT

Method Detail

### getDefault

    public static Style getDefault()

### getProvider

    public final QName getProvider()

### getEncoding

    public final java.lang.String getEncoding()

### getStyle

    public static final Style getStyle(int style)

### getStyle

    public static final Style getStyle(java.lang.String style)

### getStyle

    public static final Style getStyle(java.lang.String style,
                                       Style dephault)

### isValid

    public static final boolean isValid(java.lang.String style)

### size

    public static final int size()

### getStyles

    public static final java.lang.String[] getStyles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.